Skip to main content
GET
/
v3
/
workflow-definition-versions
cURL
curl --request GET \
  --url https://api.ctrl-hub.com/v3/workflow-definition-versions \
  --header 'X-Session-Token: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "attributes": {
        "steps": [
          {
            "id": "<string>",
            "name": "<string>",
            "order": 123,
            "step_type": "initial",
            "allowed_transitions": [
              {
                "id": "<string>",
                "name": "<string>",
                "description": "<string>",
                "requires_note": true
              }
            ],
            "position": {
              "x": 123,
              "y": 123
            }
          }
        ]
      },
      "meta": {
        "created_at": "2023-11-07T05:31:56Z"
      },
      "relationships": {
        "organisation": {
          "data": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        }
      }
    }
  ],
  "jsonapi": {
    "version": "<string>"
  },
  "meta": {
    "pagination": {
      "counts": {
        "pages": 123,
        "resources": 123
      },
      "current_page": 123,
      "offsets": {
        "next": 123,
        "previous": 123
      },
      "requested": {
        "limit": 123,
        "offset": 123
      }
    },
    "features": {
      "include": {
        "options": [
          "<string>"
        ]
      }
    }
  },
  "included": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "attributes": {
        "name": "<string>",
        "slug": "<string>",
        "sandbox": true,
        "settings": {
          "nomenclature": {
            "governance": {
              "schemes": [
                {
                  "singular": "<string>",
                  "plural": "<string>",
                  "language": "<string>"
                }
              ],
              "work_orders": [
                {
                  "singular": "<string>",
                  "plural": "<string>",
                  "language": "<string>"
                }
              ],
              "operations": [
                {
                  "singular": "<string>",
                  "plural": "<string>",
                  "language": "<string>"
                }
              ]
            }
          }
        },
        "description": "<string>"
      },
      "meta": {
        "v3": true,
        "status": "active",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "features": [
          {
            "name": "<string>",
            "enabled": true,
            "limit": 123
          }
        ]
      },
      "relationships": {
        "users": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "<string>"
            }
          ]
        },
        "service_accounts": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "<string>"
            }
          ]
        },
        "groups": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "<string>"
            }
          ]
        },
        "teams": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "<string>"
            }
          ]
        }
      }
    }
  ]
}

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Query Parameters

limit
integer<int64>
default:100

Limit the number of resources returned by the API

Required range: x >= 1
offset
integer<int64>
default:0

Offset the resources returned by the API

Required range: x >= 0
include
enum<string>[]

A comma separated list of related resources to include.

Available options:
organisation
filter
string
default:""

Filters the response data based on the value provided.

Available filters:

  • id: Filter by ID
  • organisation: Filter by organisation

For more information on using named filters, see the docs

Response

Get a list of workflow definition versions

Document level meta about the resources on the server in list endpoints.

data
A list of workflow definition versions · object[]
required
jsonapi
object
required
meta
object
required
included
object[]

Related resources that can be included when a workflow definition version is returned